#ifndef TARTMETHODMANAGER_HH
#define TARTMETHODMANAGER_HH

#include "TObject.h"

#include <vector>

class TArtRawEventObject;
class TArtMethodLoad;
class TArtMethodAnalysis;

typedef std::vector<TArtMethodLoad*> TArtMethodLoadArray;
typedef std::vector<TArtMethodAnalysis*> TArtMethodAnalysisArray;

class TArtMethodManager
{
 public:
  TArtMethodManager();
  virtual ~TArtMethodManager();

  virtual void AddMethodLoad(TArtMethodLoad* loadmethod);
  virtual void AddMethodAnalysis(TArtMethodAnalysis* independentmethod);

  virtual void DoAll(TArtRawEventObject *event);
  
 private:
  TArtMethodLoadArray fMethodLoadArray;
  TArtMethodAnalysisArray fMethodAnalysisArray;

  ClassDef(TArtMethodManager,1);
 };

#endif
