#ifndef TARTSIMPLEFUNCTION_HH
#define TARTSIMPLEFUNCTION_HH

#include "TObject.h"

class TH1;
class TH1D;
class TH2;
class TProfile;
class TFitResult;
class TFitResultPtr;

class TArtSimpleFunction
{
public:
  static TH2* CutGHist();

  static TFitResultPtr Fit(const char* formula, Option_t* option = "", Option_t* goption = "", Double_t xmin = 0, Double_t xmax = 0);
  static TFitResultPtr FitPolynomial(int n = 1, Option_t* option = "", Option_t* goption = "", Double_t xmin = 0, Double_t xmax = 0);
  static TFitResultPtr FitExponential(Option_t* option = "", Option_t* goption = "", Double_t xmin = 0,  Double_t xmax = 0);
  static TFitResultPtr FitGaussian(Option_t* option = "", Option_t* goption = "", Double_t xmin = 0,  Double_t xmax = 0);
  static TFitResultPtr FitLandau(Option_t* option = "", Option_t* goption = "", Double_t xmin = 0,  Double_t xmax = 0);

  static TProfile* ProfileX(Int_t firstybin = 1, Int_t lastybin = -1, Option_t* option = "");
  static TProfile* ProfileY(Int_t firstxbin = 1, Int_t lastxbin = -1, Option_t* option = "");
  static TH1D* ProjectionX(Int_t firstybin = 0, Int_t lastybin = -1, Option_t* option = "");
  static TH1D* ProjectionY(Int_t firstxbin = 0, Int_t lastxbin = -1, Option_t* option = "");
  static TH1D* BanY(double firsty, double lasty, Option_t* option = "");
  static TH1D* BanX(double firstx, double lastx, Option_t* option = "");
  static TH1* Range(double firstx = 0, double lastx = -1,
			  double firsty = 0, double lasty = -1,
			  double firstz = 0, double lastz = -1);
  static TH1* RangeX(double firstx = 0, double lastx = -1);
  static TH1* RangeY(double firsty = 0, double lasty = -1);
  static TH1* RangeZ(double firstz = 0, double lastz = -1);
  static TH1* Blow(double firstx = 0, double lastx = -1,
		   double firsty = 0, double lasty = -1,
		   double firstz = 0, double lastz = -1);
  static TH1* BlowX(double firstx = 0, double lastx = -1);
  static TH1* BlowY(double firsty = 0, double lasty = -1);
  static TH1* BlowZ(double firstz = 0, double lastz = -1);
  static TH1* GBlowX();
  static TH1* GBlowY();
  static TH1* GBlowXY();

  static TH1* MinMax(double min, double max);
};

#endif
